Skip to main content

ContractCreationRequest

Request body for creating a new contract

labelstring | nullnullable

Label of the contract

Default value:
typestring | nullnullable

Type of the contract

Default value:
Example: LEASE or PARTIAL
codestring | nullnullable

Code of the contract

Default value:
assetsstring[]required

Assets linked of the contract

Default value:
stakeholdersstring[]required

Stakeholders linked of the contract

Default value:
equipmentsstring[]required

Equipments linked of the contract

Default value:
effectiveDatestring | nullnullable

Effective date of the contract

Default value:
Example: 2023-01-01
endDatestring | nullnullable

End date of the contract

Default value:
Example: 2023-01-01
ContractCreationRequest
{
"label": "",
"type": "LEASE or PARTIAL",
"code": "",
"assets": [
"string"
],
"stakeholders": [
"string"
],
"equipments": [
"string"
],
"effectiveDate": "2023-01-01",
"endDate": "2023-01-01"
}